<?xml version="1.0"?>
<!--
Copyright (C) 2006  Romain Lenglet
All rights reserved.
The contents of this file are subject to the Modified BSD License.
See the file "COPYING" for licensing details.
-->

<xsl:stylesheet version='1.0'
    xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
    xmlns:dryverl='http://objectweb.org/dryverl-0.1'>

<xsl:output method='text'/>

<!-- Empty template in case there is no gen-driver element! -->
<xsl:template match='/dryverl:def-bindings[not(dryverl:gen-driver)]'>
<xsl:message terminate="yes">
No &lt;gen-driver&gt; element in this document.
</xsl:message>
</xsl:template>

<xsl:template match='/dryverl:def-bindings[dryverl:gen-driver]'>
ERLANG_GEN_SERVER_MODULE_NAME=<xsl:value-of select='dryverl:gen-driver/@erlang-gen-server-module-name'/>
ERLANG_FRONT_END_MODULE_NAME=<xsl:value-of select='dryverl:gen-driver/@erlang-front-end-module-name'/>
C_FILE_NAME=<xsl:value-of select='dryverl:gen-driver/@c-file-name'/><xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>

